# Module randoms

- Description
- Function Index
- Function Details

Helper functions to create random numbers.

Copyright © 2007-2016 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

Helper functions to create random numbers.

## Function Index

getRandomInt/0 | Generates a random integer in the range 1 =< Id < 2^32.
getRandomString/0 | Generates a random string in the range 1 =< Id < 2^32.
rand_uniform/2 | Generates a random number N between Lo <= N < Hi using the crypto library pseudo-random number generator.
rand_uniform_feeder/2 |
start/0 | Starts the crypto module's server.
stop/0 | Stops the crypto module's server.
uniform/0 |
uniform/1 |

## Function Details

### start/0

    start() -> ok

Starts the crypto module's server.

### getRandomString/0

    getRandomString() -> string()

Generates a random string in the range 1 =< Id < 2^32

### getRandomInt/0

    getRandomInt() -> pos_integer()

Generates a random integer in the range 1 =< Id < 2^32

### rand_uniform_feeder/2

    rand_uniform_feeder(X :: integer(), Y :: integer()) ->
                           {Lo :: integer(), Hi :: integer()}

### rand_uniform/2

    rand_uniform(Lo :: integer(), Hi :: integer()) -> integer()

Generates a random number N between Lo <= N < Hi using the crypto library pseudo-random number generator.

### stop/0

    stop() -> ok

Stops the crypto module's server.

### uniform/0

    uniform() -> float()

### uniform/1

    uniform(X :: pos_integer()) -> pos_integer()

Generated by EDoc, Feb 29 2016, 16:12:16.